import java.util.Scanner;

public class Vector
{
  double x;
  double y;
  double r;
  double angulo;
  
  public static void main  (String[] args)
  {
    
    Vector v1= new Vector();
    System.out.println("Vector 1");
    v1.leer();
    System.out.print("V1");
    v1.imprimirCartesianas();
    v1.calcularPolares();
    v1.imprimirPolares();
      
    for(int contador =2;;++contador){
      if(v1.seguir()){
        Vector v2= new Vector();
        System.out.println("\nVector "+ contador);
        v2.leer();
        if(v2.seguir()){
          System.out.print("V"+contador);
          v2.imprimirCartesianas();
          v2.calcularPolares();
          v2.imprimirPolares();
          
          System.out.println();
          System.out.print("V"+(contador-1)+" + V"+contador+" ");
          Vector v3= new Vector();
          v3=v1.sumar(v2);
          v3.imprimirCartesianas();
          v3.calcularPolares();
          v3.imprimirPolares();
          
          System.out.print("V"+(contador-1)+" - V"+contador+" ");
          Vector v4= new Vector();
          v4=v1.restar(v2);
          v4.imprimirCartesianas();
          v4.calcularPolares();
          v4.imprimirPolares();
          
          
          System.out.print("V"+contador+" - V"+(contador-1)+" ");
          Vector v5= new Vector();
          v5=v2.restar(v1);
          v5.imprimirCartesianas();
          v5.calcularPolares();
          v5.imprimirPolares();
        }
        v1=v2;
      } 
    }
  } 
  public void leer()
  {
    Scanner teclado = new Scanner(System.in);
    
    System.out.print("Ingrese Coordenadas [De la forma(X Y)]: ");
    x= teclado.nextDouble();
    y = teclado.nextDouble();
    if(x==0&&y==0)
      return;
  }
  
  public void imprimirCartesianas()
  {
    System.out.print("(x,y) = ("+x+","+y+");");
    
  }
  public void imprimirPolares()
  {
    System.out.print(" (r,&) =(");
    System.out.printf(toString());
    System.out.print(")");
    System.out.println();
  }
  public String toString()
  {
    return String.format("%3.2f,%3.2f", r,angulo);
  }
  public void calcularPolares()
  {
    r=Math.sqrt(x*x+y*y);
    angulo=Math.atan2(y,x);
  }
  public boolean seguir()
  {
    if(x==0&&y==0)
      return false;
    return true;
  }
  public Vector sumar(Vector otro)
  {
    Vector resultado= new Vector();
    resultado.x=this.x+otro.x;
    resultado.y=this.y+otro.y;
    return resultado;
  }
  public Vector restar(Vector otro)
  {
    Vector resultado= new Vector();
    resultado.x=this.x-otro.x;
    resultado.y=this.y-otro.y;
    return resultado;
  }
}